Bug 219816 - init.d/halt script unmount takes too long due to sleeps
init.d/halt script unmount takes too long due to sleeps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2006-12-15 11:28 EST by Bill Nottingham
Modified: 2014-03-16 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.58-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 15:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-12-15 11:28:55 EST
+++ This bug was initially created as a clone of Bug #219758 +++

Description of problem:
At two places, the init.d halt script has a 2 second sleep after unmounting
certain paths and before checking whether the action was successful. Under
typical conditions, the 2 second sleep is completely unnecessary. Collectively
these two sleeps slow down the shutdown process by almost 4 seconds.

Version-Release number of selected component (if applicable):
N/A

How reproducible:

Steps to Reproduce:
1. Execute /sbin/halt and measure time. 
2. Apply attached patch, run /sbin/halt again and measure time. 
3. Shutdown will be 3-4 seconds faster with patch.
  
Actual results:
See above

Expected results:
See above

Additional info:
On most systems even the 0.1 sec sleep I included is unnecessary, so feel free
to remove it.

The patch also comments out the "devremaining" variable assignments that look
like they have been left behind accidentally.

-- Additional comment from kerecsen@gmail.com on 2006-12-15 02:11 EST --
Created an attachment (id=143738)
A patch illustrating one way to make the halt sctipt run faster without
compromising functionality
Comment 1 Bill Nottingham 2007-10-08 15:31:52 EDT
Fixed in CVS, will be in 8.58-1.

Note You need to log in before you can comment on or make changes to this bug.